# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::CatmullRomInterpolatorDouble Class Reference

Interpolates `double` values using a CatmullRomInterpolator. More...

`#include <CatmullRomInterpolator.hpp>`

Inheritance diagram for vl::CatmullRomInterpolatorDouble:

List of all members.

## Public Member Functions

| CatmullRomInterpolatorDouble ()
| CatmullRomInterpolatorDouble (const std::vector< double > &path)
double | computePoint (float t) const
| Samples the interpolator at the given point.
CatmullRomInterpolatorDouble_T * | interpolator ()
const CatmullRomInterpolatorDouble_T * | interpolator () const
void | setInterpolator (CatmullRomInterpolatorDouble_T *interpolator)

## Protected Attributes

ref < CatmullRomInterpolatorDouble_T > | mInterpolator

## Detailed Description

Interpolates `double` values using a CatmullRomInterpolator.

Definition at line 252 of file CatmullRomInterpolator.hpp.

## Constructor & Destructor Documentation

vl::CatmullRomInterpolatorDouble::CatmullRomInterpolatorDouble | ( | ) | `[inline]`

Definition at line 256 of file CatmullRomInterpolator.hpp.

vl::CatmullRomInterpolatorDouble::CatmullRomInterpolatorDouble | ( | const std::vector< double > & | path ) | `[inline]`

Definition at line 257 of file CatmullRomInterpolator.hpp.

## Member Function Documentation

double vl::CatmullRomInterpolatorDouble::computePoint | ( | float | t ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorDouble.

Definition at line 258 of file CatmullRomInterpolator.hpp.

References vl::CatmullRomInterpolator< T >::computePoint(), and interpolator().

CatmullRomInterpolatorDouble_T* vl::CatmullRomInterpolatorDouble::interpolator | ( | ) | `[inline]`

Definition at line 259 of file CatmullRomInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

Referenced by computePoint(), and setInterpolator().

const CatmullRomInterpolatorDouble_T* vl::CatmullRomInterpolatorDouble::interpolator | ( | ) | const`[inline]`

Definition at line 260 of file CatmullRomInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

void vl::CatmullRomInterpolatorDouble::setInterpolator | ( | CatmullRomInterpolatorDouble_T * | interpolator ) | `[inline]`

Definition at line 261 of file CatmullRomInterpolator.hpp.

References interpolator(), and mInterpolator.

## Member Data Documentation

ref<CatmullRomInterpolatorDouble_T> vl::CatmullRomInterpolatorDouble::mInterpolator`[protected]`

Definition at line 263 of file CatmullRomInterpolator.hpp.

Referenced by interpolator(), and setInterpolator().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/CatmullRomInterpolator.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:04.
Permission is granted to use this page to write and publish articles regarding Visualization Library.